QGIS Application - Feature request #16832
Sorting in side column of form view
2017-07-10 02:03 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Forms

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 24731
Description

The attribute table has two modes:

- table mode
- form mode

The form mode has a side column where one can choose a side column or expression to be displayed for the identification of individual

features.

We suggest that the sort mode between table mode and form mode should be decoupled. Changing from the table mode into the form
mode should trigger a resort based on the chosen column or expression, if the sort mode in the table view was different from this sort

mode in the side column.

Otherwise the user has to manually sort the side column whenever he changes into form mode, to be sure that the features in form mode

are properly sorted.

History

#1 - 2017-10-23 10:57 AM - Andreas Neumann
- Assignee set to Matthias Kuhn

#2 - 2018-08-25 08:32 AM - Andreas Neumann
- Resolution set to fixed/implemented

- Status changed from Open to Closed

Already implemented in current master (3.4). Can't find the corresponding github commit - but it is implemented ;-)
